nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::analytics::IObjectTrackBestShotPacket0 Class Referenceabstract

`#include <i_object_track_best_shot_packet.h>`

Inheritance diagram for nx::sdk::analytics::IObjectTrackBestShotPacket0:

## Public Member Functions
virtual int64_t | timestampUs () const override=0
Uuid | trackId () const
Rect | boundingBox () const
Public Member Functions inherited from nx::sdk::Interface< IObjectTrackBestShotPacket0, IMetadataPacket0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const

## Static Public Member Functions
static auto | interfaceId ()

## Protected Member Functions
virtual void | getTrackId (Uuid *outValue) const =0
virtual void | getBoundingBox (Rect *outValue) const =0
Protected Member Functions inherited from nx::sdk::Interface< IObjectTrackBestShotPacket0, IMetadataPacket0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Detailed Description

Packet containing information about object track best shot.

## Member Function Documentation

## ◆ boundingBox()

Rect nx::sdk::analytics::IObjectTrackBestShotPacket0::boundingBox | ( |  | ) | const
| inline

Returns
  Bounding box of the best shot, or an invalid rectangle (e.g. a default-constructed) if the best shot bounding box is unknown.

## ◆ getBoundingBox()

virtual void nx::sdk::analytics::IObjectTrackBestShotPacket0::getBoundingBox | ( | Rect * | outValue | ) | const
| protected pure virtual

Called by boundingBox()

## ◆ getTrackId()

virtual void nx::sdk::analytics::IObjectTrackBestShotPacket0::getTrackId | ( | Uuid * | outValue | ) | const
| protected pure virtual

Called by trackId()

## ◆ timestampUs()

virtual int64_t nx::sdk::analytics::IObjectTrackBestShotPacket0::timestampUs | ( |  | ) | const
| override pure virtual

Returns
  Timestamp of the frame (in microseconds) the best shot belongs to, or, if such timestamp is not available, some timestamp close as much as possible to the best shot moment. Must be a positive value.

## ◆ trackId()

Uuid nx::sdk::analytics::IObjectTrackBestShotPacket0::trackId | ( |  | ) | const
| inline

Returns
  Id of the track the best shot belongs to.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_object_track_best_shot_packet.h